Summary: Python-powered template engine and code-generator
Name: python-cheetah
Version: 2.0.1
Release: %mkrel 1
URL: http://www.CheetahTemplate.org/
Source0: http://prdownloads.sourceforge.net/cheetahtemplate/Cheetah-%{version}.tar.bz2
License: MIT like
Group: Development/Python
BuildRequires: python-devel
BuildRoot: %{_tmppath}/%{name}-buildroot
Provides: python-cheetah2
Obsoletes: python-cheetah2

%description
Python-cheetah:
* generates HTML, SGML, XML, SQL, Postscript, form email, LaTeX, or any other
  text-based format.
* cleanly separates content, graphic design, and program code. This leads to
  highly modular, flexible, and reusable site architectures; faster
  development time; and HTML and program code that is easier to understand and
  maintain. It is particularly well suited for team efforts.
* blends the power and flexibility of Python with a simple template language
  that non-programmers can understand.
* gives template writers full access to any Python data structure, module,
  function, object, or method in their templates.
* makes code reuse easy by providing an object-orientated interface to
  templates that is accessible from Python code or other Cheetah templates.
  One template can subclass another and selectively reimplement sections of it.
* provides a simple, yet powerful, caching mechanism that can dramatically
  improve the performance of a dynamic website.
* compiles templates into optimized, yet readable, Python code.

%prep
%setup -q -n Cheetah-%version

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README CHANGES LICENSE TODO
%_libdir/python*/site-packages/Cheetah
%_libdir/python*/site-packages/*.egg-info
%_bindir/*


%changelog
* Tue Jan 29 2008 Funda Wang <fundawang@mandriva.org> 2.0.1-1mdv2008.1
+ Revision: 159844
- update to new version 2.0.1

* Fri Dec 14 2007 Bogdano Arendartchuk <bogdano@mandriva.com> 2.0-1mdv2008.1
+ Revision: 119919
- merged python-cheetah2 into python-cheetah

* Sun Oct 21 2007 Jérôme Soyer <saispo@mandriva.org> 1.0-5mdv2008.1
+ Revision: 100793
- Add Conflicts and Obsoletes to allow cheetah2 and not to break Mandriva tools


* Tue Nov 28 2006 Andreas Hasenack <andreas@mandriva.com> 1.0-4mdv2007.0
+ Revision: 87982
- added patch for python-2.5 to get rid of this error:
  "SyntaxError: from __future__ imports must occur at the beginning of the file"

  + Oden Eriksson <oeriksson@mandriva.com>
    - add needed egg-info file
    - Import python-cheetah

* Mon May 08 2006 Michael Scherer <misc@mandriva.org> 1.0-1mdk
- New release 1.0

* Sun Nov 06 2005 Michael Scherer <misc@mandriva.org> 0.9.18-2mdk
- mkrel 
- remove prefix tag

* Mon Oct 24 2005 Jan Ciger <jan.ciger@gmail.com> 0.9.18-1mdk
- 0.9.18

* Sat Feb 05 2005 Frederic Lepied <flepied@mandrakesoft.com> 0.9.16-0.a2.2mdk
- merge the 2 spec files

* Sat Feb 05 2005 Frederic Lepied <flepied@mandrakesoft.com> 0.9.16-0.a2.1mdk
- 0.9.16a2

* Sat Dec 04 2004 Michael Scherer <misc@mandrake.org> 0.9.15-4mdk
- Rebuild for new python

* Tue Oct 26 2004 Michael Scherer <misc@mandrake.org> 0.9.15-3mdk
- Rebuild

